View Issue Details

IDProjectCategoryView StatusLast Update
0003072Ham Radio DeluxeBugpublic2019-02-24 15:12
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.183 
Target VersionFixed in Version6.5.0.196 
Summary0003072: "LDG Electronics ATU" pane takes a long time to open
DescriptionThe "LDG Electronics" pane in the Rig Control app takes quite a while to open. It could be made much faster; the time is spent enumerating the COM ports on the machine. We already have faster enumeration code in the application than this dialog uses, and can pretty readily replace it.

Note that the dialog might be opened, placed, and hidden at startup as the application loads. In this case, opening the dialog simply shows the already-prepared window, and the delay occurs during startup before the main Rig Control frame is shown.
Steps To Reproduce1) Run the Rig Control application. Doesn't need a radio connection.
2) Use the "LDG Electronics ATUs" command in the "Tools" menu
3) Wait.

BUG#1) It could be faster. As noted above, it's also possible that this problem manifests at startup rather than when the window is actually opened.
TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Activities

K7ZCZ

2019-01-18 12:27

manager   ~0007026

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4734

WA9PIE

2019-01-27 08:32

administrator   ~0007083

Validated

Issue History

Date Modified Username Field Change
2019-01-17 17:25 K7ZCZ New Issue
2019-01-18 12:27 K7ZCZ Assigned To => K7ZCZ
2019-01-18 12:27 K7ZCZ Status new => resolved
2019-01-18 12:27 K7ZCZ Resolution open => fixed
2019-01-18 12:27 K7ZCZ Note Added: 0007026
2019-01-19 10:11 K7ZCZ Fixed in Version => 6.5.0.184
2019-01-27 08:32 WA9PIE Status resolved => closed
2019-01-27 08:32 WA9PIE Fixed in Version 6.5.0.184 => 6.5.0.187
2019-01-27 08:32 WA9PIE Testing Not Started => Beta Successful
2019-01-27 08:32 WA9PIE Note Added: 0007083
2019-02-24 14:40 WA9PIE Fixed in Version 6.5.0.187 => 6.5.0.196
2019-02-24 15:12 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe